# vim: set sw=4 ts=4 et:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           audiotools
Version:        2.19
Release:        2.2
Summary:        Audio Tool Collection
Source:         http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         audiotools-2.19.patch
URL:            http://audiotools.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Utilities
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python-devel
BuildRequires:  libcdio-devel
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkg-config
%py_requires

%description
Python Audio Tools is a collection of audio handling programs that work from
the command line. These include programs for CD extraction, track conversion
from one audio format to another, track renaming and retagging, track
identification, CD burning from tracks, and more. It supports internationalized
track filenames and metadata using Unicode. It works with high-definition,
multi-channel audio as well as CD-quality. Track conversion uses multiple CPUs
or CPU cores if available to greatly speed the transcoding process. Track
metadata can be retrieved from MusicBrainz, FreeDB, or compatible servers.
Audio formats supported are WAV, FLAC, WavPack, MP3, Ogg Vorbis, M4A, Apple
Lossless, and more.

%prep
%setup -q
%patch0 -p1

%build
python ./setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

chmod a+x %{buildroot}%{python_sitearch}/audiotools/*.py
chmod a+x %{buildroot}%{python_sitearch}/audiotools/*/*.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING TODO
%config %{_sysconfdir}/audiotools.cfg
%{_bindir}/*
%{python_sitearch}/Python_Audio_Tools-%{version}-*.egg-info
%{python_sitearch}/audiotools/

%changelog
* Fri Mar  1 2013 toddrme2178@gmail.com
- Update to 2.19
- Fix building on openSUSE 12.2+
- Clean up spec file formatting
* Thu Apr 19 2012 pascal.bleser@opensuse.org
- initial version (2.18)
